/*===========================================================================*/
/*   (Expand/assert.scm)                                                     */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Expand/assert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_assertz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__expandzd2assertzd2zzexpand_assertz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_dupz00zzexpand_assertz00(obj_t);
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_expandzd2assertzd2zzexpand_assertz00(obj_t, obj_t);
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzexpand_assertz00();
static obj_t BGl_importedzd2moduleszd2initz00zzexpand_assertz00();
static obj_t BGl_makezd2onezd2assertz00zzexpand_assertz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzexpand_assertz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_assertz00();
static obj_t BGl_toplevelzd2initzd2zzexpand_assertz00();
static obj_t __cnst[ 8 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_expandzd2assertzd2envz00zzexpand_assertz00, BgL_bgl__expandza7d2assertza7d2za7za7expand_assertza7001306za7, BGl__expandzd2assertzd2zzexpand_assertz00, 0L, 2 );
DEFINE_STRING( BGl_string1281z00zzexpand_assertz00, BgL_bgl_string1281za700za7za7expand_assertza7001307z00, "notify-assert-fail location quote define-primop! begin if check assert ", 71 );
DEFINE_STRING( BGl_string1280z00zzexpand_assertz00, BgL_bgl_string1280za700za7za7expand_assertza7001308z00, "Illegal `assert' form", 21 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_assertz00(long BgL_checksumz00_219, char * BgL_fromz00_220)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzexpand_assertz00))
{ 
BGl_requirezd2initializa7ationz75zzexpand_assertz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzexpand_assertz00(); 
BGl_cnstzd2initzd2zzexpand_assertz00(); 
BGl_importedzd2moduleszd2initz00zzexpand_assertz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzexpand_assertz00()
{ AN_OBJECT;
{ /* ./Expand/assert.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "expand_assert"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "expand_assert"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzexpand_assertz00()
{ AN_OBJECT;
{ /* ./Expand/assert.scm 15 */
{ /* ./Expand/assert.scm 15 */
obj_t BgL_cportz00_212;
BgL_cportz00_212 = 
open_input_string(BGl_string1281z00zzexpand_assertz00); 
{ 
long BgL_iz00_213;
BgL_iz00_213 = ((long)7); 
BgL_loopz00_214:
{ /* ./Expand/assert.scm 15 */
bool_t BgL_test1283z00_215;
BgL_test1283z00_215 = 
(BgL_iz00_213==((long)-1)); 
if(BgL_test1283z00_215)
{ /* ./Expand/assert.scm 15 */
return BUNSPEC;}  else 
{ /* ./Expand/assert.scm 15 */
{ /* ./Expand/assert.scm 15 */
obj_t BgL_arg1285z00_216;
{ /* ./Expand/assert.scm 15 */
obj_t BgL_list1288z00_217;
BgL_list1288z00_217 = 
MAKE_PAIR(BgL_cportz00_212, BNIL); 
BgL_arg1285z00_216 = 
BGl_readz00zz__readerz00(BgL_list1288z00_217); } 
{ /* ./Expand/assert.scm 15 */
int BgL_auxz00_234;
BgL_auxz00_234 = 
(int)(BgL_iz00_213); 
CNST_TABLE_SET(BgL_auxz00_234, BgL_arg1285z00_216); } } 
{ /* ./Expand/assert.scm 15 */
int BgL_auxz00_218;
{ /* ./Expand/assert.scm 15 */
long BgL_auxz00_237;
BgL_auxz00_237 = 
(BgL_iz00_213-((long)1)); 
BgL_auxz00_218 = 
(int)(BgL_auxz00_237); } 
{ 
long BgL_iz00_240;
BgL_iz00_240 = 
(long)(BgL_auxz00_218); 
BgL_iz00_213 = BgL_iz00_240; 
goto BgL_loopz00_214;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzexpand_assertz00()
{ AN_OBJECT;
{ /* ./Expand/assert.scm 15 */
return BUNSPEC;} 
}



/* expand-assert */
BGL_EXPORTED_DEF obj_t BGl_expandzd2assertzd2zzexpand_assertz00(obj_t BgL_xz00_15, obj_t BgL_ez00_16)
{ AN_OBJECT;
{ /* ./Expand/assert.scm 26 */
{ 
obj_t BgL_varsz00_35;obj_t BgL_predz00_36;obj_t BgL_varsz00_32;obj_t BgL_bodyz00_33;
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1038z00_40;
BgL_test1038z00_40 = 
PAIRP(BgL_xz00_15); 
if(BgL_test1038z00_40)
{ /* ./Expand/assert.scm 27 */
obj_t BgL_cdrzd2111zd2_41;
BgL_cdrzd2111zd2_41 = 
CDR(BgL_xz00_15); 
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1039z00_42;
BgL_test1039z00_42 = 
PAIRP(BgL_cdrzd2111zd2_41); 
if(BgL_test1039z00_42)
{ /* ./Expand/assert.scm 27 */
obj_t BgL_cdrzd2115zd2_43;
BgL_cdrzd2115zd2_43 = 
CDR(BgL_cdrzd2111zd2_41); 
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1040z00_44;
{ /* ./Expand/assert.scm 27 */
obj_t BgL_auxz00_250;obj_t BgL_auxz00_248;
BgL_auxz00_250 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_248 = 
CAR(BgL_cdrzd2111zd2_41); 
BgL_test1040z00_44 = 
(BgL_auxz00_248==BgL_auxz00_250); } 
if(BgL_test1040z00_44)
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1041z00_45;
BgL_test1041z00_45 = 
PAIRP(BgL_cdrzd2115zd2_43); 
if(BgL_test1041z00_45)
{ /* ./Expand/assert.scm 27 */
obj_t BgL_carzd2118zd2_46;
BgL_carzd2118zd2_46 = 
CAR(BgL_cdrzd2115zd2_43); 
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1042z00_47;
BgL_test1042z00_47 = 
PAIRP(BgL_carzd2118zd2_46); 
if(BgL_test1042z00_47)
{ /* ./Expand/assert.scm 27 */
obj_t BgL_arg1044z00_48;
BgL_arg1044z00_48 = 
CDR(BgL_cdrzd2115zd2_43); 
BgL_varsz00_32 = BgL_carzd2118zd2_46; 
BgL_bodyz00_33 = BgL_arg1044z00_48; 
{ /* ./Expand/assert.scm 30 */
obj_t BgL_newz00_63;
{ /* ./Expand/assert.scm 30 */
obj_t BgL_arg1097z00_64;obj_t BgL_arg1098z00_65;
BgL_arg1097z00_64 = 
CNST_TABLE_REF(((long)0)); 
{ /* ./Expand/assert.scm 30 */
obj_t BgL_arg1101z00_66;
BgL_arg1101z00_66 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_bodyz00_33, BNIL); 
BgL_arg1098z00_65 = 
MAKE_PAIR(BgL_varsz00_32, BgL_arg1101z00_66); } 
BgL_newz00_63 = 
MAKE_PAIR(BgL_arg1097z00_64, BgL_arg1098z00_65); } 
BGl_replacez12z12zztools_miscz00(BgL_xz00_15, BgL_newz00_63); 
return 
PROCEDURE_ENTRY(BgL_ez00_16)(BgL_ez00_16, BgL_xz00_15, BgL_ez00_16, BEOA);} }  else 
{ /* ./Expand/assert.scm 27 */
obj_t BgL_carzd2131zd2_50;
BgL_carzd2131zd2_50 = 
CAR(BgL_cdrzd2111zd2_41); 
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1047z00_51;
BgL_test1047z00_51 = 
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd2131zd2_50); 
if(BgL_test1047z00_51)
{ /* ./Expand/assert.scm 27 */
obj_t BgL_arg1049z00_52;
BgL_arg1049z00_52 = 
CDR(BgL_cdrzd2111zd2_41); 
BgL_varsz00_35 = BgL_carzd2131zd2_50; 
BgL_predz00_36 = BgL_arg1049z00_52; 
BgL_tagzd2102zd2_37:
{ /* ./Expand/assert.scm 34 */
bool_t BgL_test1104z00_67;
{ /* ./Expand/assert.scm 34 */
bool_t BgL_test1107z00_69;
{ /* ./Expand/assert.scm 34 */
bool_t BgL_test1110z00_71;
{ /* ./Expand/assert.scm 34 */
obj_t BgL_objz00_172;
BgL_objz00_172 = BGl_za2compilerzd2debugza2zd2zzengine_paramz00; 
BgL_test1110z00_71 = 
INTEGERP(BgL_objz00_172); } 
if(BgL_test1110z00_71)
{ /* ./Expand/assert.scm 34 */
long BgL_n1z00_173;
BgL_n1z00_173 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test1107z00_69 = 
(BgL_n1z00_173>=((long)1)); }  else 
{ /* ./Expand/assert.scm 34 */
BgL_test1107z00_69 = ((bool_t)0); } } 
if(BgL_test1107z00_69)
{ /* ./Expand/assert.scm 34 */
BgL_test1104z00_67 = ((bool_t)1); }  else 
{ /* ./Expand/assert.scm 35 */
bool_t BgL__andtest_1003z00_70;
{ /* ./Expand/assert.scm 35 */
obj_t BgL_objz00_175;
BgL_objz00_175 = BGl_za2bdbzd2debugza2zd2zzengine_paramz00; 
BgL__andtest_1003z00_70 = 
INTEGERP(BgL_objz00_175); } 
if(BgL__andtest_1003z00_70)
{ /* ./Expand/assert.scm 35 */
long BgL_n1z00_176;
BgL_n1z00_176 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test1104z00_67 = 
(BgL_n1z00_176>=((long)1)); }  else 
{ /* ./Expand/assert.scm 35 */
BgL_test1104z00_67 = ((bool_t)0); } } } 
if(BgL_test1104z00_67)
{ /* ./Expand/assert.scm 36 */
obj_t BgL_newz00_68;
BgL_newz00_68 = 
BGl_makezd2onezd2assertz00zzexpand_assertz00(BgL_ez00_16, BgL_xz00_15, BgL_varsz00_35, BgL_predz00_36); 
return 
BGl_replacez12z12zztools_miscz00(BgL_xz00_15, BgL_newz00_68);}  else 
{ /* ./Expand/assert.scm 34 */
return BUNSPEC;} } }  else 
{ /* ./Expand/assert.scm 27 */
BgL_tagzd2103zd2_38:
FAILURE(BFALSE,BGl_string1280z00zzexpand_assertz00,BgL_xz00_15);} } } } }  else 
{ /* ./Expand/assert.scm 27 */
obj_t BgL_carzd2144zd2_54;
BgL_carzd2144zd2_54 = 
CAR(BgL_cdrzd2111zd2_41); 
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1058z00_55;
BgL_test1058z00_55 = 
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd2144zd2_54); 
if(BgL_test1058z00_55)
{ /* ./Expand/assert.scm 27 */
obj_t BgL_arg1061z00_56;
BgL_arg1061z00_56 = 
CDR(BgL_cdrzd2111zd2_41); 
{ 
obj_t BgL_predz00_289;obj_t BgL_varsz00_288;
BgL_varsz00_288 = BgL_carzd2144zd2_54; 
BgL_predz00_289 = BgL_arg1061z00_56; 
BgL_predz00_36 = BgL_predz00_289; 
BgL_varsz00_35 = BgL_varsz00_288; 
goto BgL_tagzd2102zd2_37;} }  else 
{ /* ./Expand/assert.scm 27 */
goto BgL_tagzd2103zd2_38;} } } }  else 
{ /* ./Expand/assert.scm 27 */
obj_t BgL_carzd2157zd2_58;
BgL_carzd2157zd2_58 = 
CAR(BgL_cdrzd2111zd2_41); 
{ /* ./Expand/assert.scm 27 */
bool_t BgL_test1069z00_59;
BgL_test1069z00_59 = 
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_carzd2157zd2_58); 
if(BgL_test1069z00_59)
{ /* ./Expand/assert.scm 27 */
obj_t BgL_arg1075z00_60;
BgL_arg1075z00_60 = 
CDR(BgL_cdrzd2111zd2_41); 
{ 
obj_t BgL_predz00_295;obj_t BgL_varsz00_294;
BgL_varsz00_294 = BgL_carzd2157zd2_58; 
BgL_predz00_295 = BgL_arg1075z00_60; 
BgL_predz00_36 = BgL_predz00_295; 
BgL_varsz00_35 = BgL_varsz00_294; 
goto BgL_tagzd2102zd2_37;} }  else 
{ /* ./Expand/assert.scm 27 */
goto BgL_tagzd2103zd2_38;} } } } }  else 
{ /* ./Expand/assert.scm 27 */
goto BgL_tagzd2103zd2_38;} } }  else 
{ /* ./Expand/assert.scm 27 */
goto BgL_tagzd2103zd2_38;} } } } 
}



/* _expand-assert */
obj_t BGl__expandzd2assertzd2zzexpand_assertz00(obj_t BgL_envz00_208, obj_t BgL_xz00_209, obj_t BgL_ez00_210)
{ AN_OBJECT;
{ /* ./Expand/assert.scm 26 */
return 
BGl_expandzd2assertzd2zzexpand_assertz00(BgL_xz00_209, BgL_ez00_210);} 
}



/* make-one-assert */
obj_t BGl_makezd2onezd2assertz00zzexpand_assertz00(obj_t BgL_ez00_17, obj_t BgL_expz00_18, obj_t BgL_varsz00_19, obj_t BgL_predz00_20)
{ AN_OBJECT;
{ /* ./Expand/assert.scm 45 */
{ /* ./Expand/assert.scm 46 */
obj_t BgL_predz00_72;
{ /* ./Expand/assert.scm 46 */
bool_t BgL_test1244z00_129;
BgL_test1244z00_129 = 
NULLP(BgL_predz00_20); 
if(BgL_test1244z00_129)
{ /* ./Expand/assert.scm 47 */
obj_t BgL_list1246z00_130;
BgL_list1246z00_130 = 
MAKE_PAIR(BUNSPEC, BNIL); 
BgL_predz00_72 = BgL_list1246z00_130; }  else 
{ /* ./Expand/assert.scm 46 */
BgL_predz00_72 = BgL_predz00_20; } } 
{ /* ./Expand/assert.scm 46 */
obj_t BgL_oldzd2predzd2_73;
BgL_oldzd2predzd2_73 = 
BGl_dupz00zzexpand_assertz00(BgL_predz00_72); 
{ /* ./Expand/assert.scm 49 */

{ /* ./Expand/assert.scm 50 */
obj_t BgL_arg1115z00_74;obj_t BgL_arg1117z00_75;
BgL_arg1115z00_74 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Expand/assert.scm 50 */
obj_t BgL_arg1120z00_76;obj_t BgL_arg1121z00_77;
{ /* ./Expand/assert.scm 50 */
obj_t BgL_arg1124z00_78;
BgL_arg1124z00_78 = 
BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_predz00_72); 
BgL_arg1120z00_76 = 
PROCEDURE_ENTRY(BgL_ez00_17)(BgL_ez00_17, BgL_arg1124z00_78, BgL_ez00_17, BEOA); } 
{ /* ./Expand/assert.scm 52 */
obj_t BgL_arg1128z00_79;
{ /* ./Expand/assert.scm 52 */
obj_t BgL_arg1131z00_80;
{ /* ./Expand/assert.scm 52 */
obj_t BgL_arg1135z00_82;obj_t BgL_arg1136z00_83;
BgL_arg1135z00_82 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Expand/assert.scm 54 */
obj_t BgL_arg1140z00_84;obj_t BgL_arg1141z00_85;
{ 
obj_t BgL_varsz00_86;obj_t BgL_defsz00_87;
BgL_varsz00_86 = BgL_varsz00_19; 
BgL_defsz00_87 = BNIL; 
BgL_loopz00_88:
{ /* ./Expand/assert.scm 56 */
bool_t BgL_test1144z00_89;
BgL_test1144z00_89 = 
NULLP(BgL_varsz00_86); 
if(BgL_test1144z00_89)
{ /* ./Expand/assert.scm 56 */
BgL_arg1140z00_84 = BgL_defsz00_87; }  else 
{ /* ./Expand/assert.scm 58 */
obj_t BgL_arg1147z00_90;obj_t BgL_arg1148z00_91;
BgL_arg1147z00_90 = 
CDR(BgL_varsz00_86); 
{ /* ./Expand/assert.scm 59 */
obj_t BgL_arg1152z00_92;
{ /* ./Expand/assert.scm 59 */
obj_t BgL_arg1155z00_93;obj_t BgL_arg1156z00_94;
BgL_arg1155z00_93 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Expand/assert.scm 59 */
obj_t BgL_arg1160z00_95;obj_t BgL_arg1162z00_96;
{ /* ./Expand/assert.scm 59 */
obj_t BgL_arg1165z00_97;obj_t BgL_arg1166z00_98;
BgL_arg1165z00_97 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Expand/assert.scm 59 */
obj_t BgL_arg1169z00_99;
BgL_arg1169z00_99 = 
CAR(BgL_varsz00_86); 
BgL_arg1166z00_98 = 
MAKE_PAIR(BgL_arg1169z00_99, BNIL); } 
BgL_arg1160z00_95 = 
MAKE_PAIR(BgL_arg1165z00_97, BgL_arg1166z00_98); } 
{ /* ./Expand/assert.scm 59 */
obj_t BgL_arg1177z00_101;
BgL_arg1177z00_101 = 
CAR(BgL_varsz00_86); 
BgL_arg1162z00_96 = 
MAKE_PAIR(BgL_arg1177z00_101, BNIL); } 
BgL_arg1156z00_94 = 
MAKE_PAIR(BgL_arg1160z00_95, BgL_arg1162z00_96); } 
BgL_arg1152z00_92 = 
MAKE_PAIR(BgL_arg1155z00_93, BgL_arg1156z00_94); } 
BgL_arg1148z00_91 = 
MAKE_PAIR(BgL_arg1152z00_92, BgL_defsz00_87); } 
{ 
obj_t BgL_defsz00_320;obj_t BgL_varsz00_319;
BgL_varsz00_319 = BgL_arg1147z00_90; 
BgL_defsz00_320 = BgL_arg1148z00_91; 
BgL_defsz00_87 = BgL_defsz00_320; 
BgL_varsz00_86 = BgL_varsz00_319; 
goto BgL_loopz00_88;} } } } 
{ /* ./Expand/assert.scm 61 */
obj_t BgL_arg1183z00_103;
{ /* ./Expand/assert.scm 61 */
obj_t BgL_locz00_105;
{ /* ./Expand/assert.scm 61 */
obj_t BgL_locz00_127;
BgL_locz00_127 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_expz00_18); 
{ /* ./Expand/assert.scm 62 */
bool_t BgL_test1239z00_128;
if(
STRUCTP(BgL_locz00_127))
{ /* ./Expand/assert.scm 62 */
obj_t BgL_auxz00_326;obj_t BgL_auxz00_324;
BgL_auxz00_326 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_324 = 
STRUCT_KEY(BgL_locz00_127); 
BgL_test1239z00_128 = 
(BgL_auxz00_324==BgL_auxz00_326); }  else 
{ /* ./Expand/assert.scm 62 */
BgL_test1239z00_128 = ((bool_t)0); } 
if(BgL_test1239z00_128)
{ /* ./Expand/assert.scm 62 */
BgL_locz00_105 = BgL_locz00_127; }  else 
{ /* ./Expand/assert.scm 62 */
BgL_locz00_105 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_predz00_72); } } } 
{ /* ./Expand/assert.scm 65 */
obj_t BgL_arg1191z00_106;obj_t BgL_arg1192z00_107;
BgL_arg1191z00_106 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Expand/assert.scm 65 */
obj_t BgL_arg1195z00_108;obj_t BgL_arg1196z00_109;
{ /* ./Expand/assert.scm 65 */
obj_t BgL_arg1199z00_110;obj_t BgL_arg1200z00_111;
BgL_arg1199z00_110 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg1200z00_111 = 
MAKE_PAIR(BgL_varsz00_19, BNIL); 
BgL_arg1195z00_108 = 
MAKE_PAIR(BgL_arg1199z00_110, BgL_arg1200z00_111); } 
{ /* ./Expand/assert.scm 66 */
obj_t BgL_arg1204z00_112;obj_t BgL_arg1205z00_113;
{ /* ./Expand/assert.scm 66 */
obj_t BgL_arg1210z00_114;obj_t BgL_arg1211z00_115;
BgL_arg1210z00_114 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Expand/assert.scm 66 */
obj_t BgL_arg1214z00_116;
{ /* ./Expand/assert.scm 66 */
obj_t BgL_auxz00_336;
BgL_auxz00_336 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg1214z00_116 = 
MAKE_PAIR(BgL_auxz00_336, BgL_oldzd2predzd2_73); } 
BgL_arg1211z00_115 = 
MAKE_PAIR(BgL_arg1214z00_116, BNIL); } 
BgL_arg1204z00_112 = 
MAKE_PAIR(BgL_arg1210z00_114, BgL_arg1211z00_115); } 
{ /* ./Expand/assert.scm 67 */
obj_t BgL_arg1219z00_118;
{ /* ./Expand/assert.scm 67 */
bool_t BgL_test1222z00_120;
if(
STRUCTP(BgL_locz00_105))
{ /* ./Expand/assert.scm 67 */
obj_t BgL_auxz00_345;obj_t BgL_auxz00_343;
BgL_auxz00_345 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_343 = 
STRUCT_KEY(BgL_locz00_105); 
BgL_test1222z00_120 = 
(BgL_auxz00_343==BgL_auxz00_345); }  else 
{ /* ./Expand/assert.scm 67 */
BgL_test1222z00_120 = ((bool_t)0); } 
if(BgL_test1222z00_120)
{ /* ./Expand/assert.scm 69 */
obj_t BgL_arg1224z00_121;obj_t BgL_arg1225z00_122;
BgL_arg1224z00_121 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Expand/assert.scm 68 */
obj_t BgL_arg1229z00_123;
{ /* ./Expand/assert.scm 68 */
obj_t BgL_arg1233z00_125;obj_t BgL_arg1234z00_126;
BgL_arg1233z00_125 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(BgL_locz00_105); 
{ /* ./Expand/assert.scm 69 */
int BgL_auxz00_351;
BgL_auxz00_351 = 
(int)(((long)1)); 
BgL_arg1234z00_126 = 
STRUCT_REF(BgL_locz00_105, BgL_auxz00_351); } 
BgL_arg1229z00_123 = 
MAKE_PAIR(BgL_arg1233z00_125, BgL_arg1234z00_126); } 
BgL_arg1225z00_122 = 
MAKE_PAIR(BgL_arg1229z00_123, BNIL); } 
BgL_arg1219z00_118 = 
MAKE_PAIR(BgL_arg1224z00_121, BgL_arg1225z00_122); }  else 
{ /* ./Expand/assert.scm 67 */
BgL_arg1219z00_118 = BFALSE; } } 
BgL_arg1205z00_113 = 
MAKE_PAIR(BgL_arg1219z00_118, BNIL); } 
BgL_arg1196z00_109 = 
MAKE_PAIR(BgL_arg1204z00_112, BgL_arg1205z00_113); } 
BgL_arg1192z00_107 = 
MAKE_PAIR(BgL_arg1195z00_108, BgL_arg1196z00_109); } 
BgL_arg1183z00_103 = 
MAKE_PAIR(BgL_arg1191z00_106, BgL_arg1192z00_107); } } 
BgL_arg1141z00_85 = 
MAKE_PAIR(BgL_arg1183z00_103, BNIL); } 
BgL_arg1136z00_83 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1140z00_84, BgL_arg1141z00_85); } 
BgL_arg1131z00_80 = 
MAKE_PAIR(BgL_arg1135z00_82, BgL_arg1136z00_83); } 
BgL_arg1128z00_79 = 
MAKE_PAIR(BgL_arg1131z00_80, BNIL); } 
BgL_arg1121z00_77 = 
MAKE_PAIR(BUNSPEC, BgL_arg1128z00_79); } 
BgL_arg1117z00_75 = 
MAKE_PAIR(BgL_arg1120z00_76, BgL_arg1121z00_77); } 
return 
MAKE_PAIR(BgL_arg1115z00_74, BgL_arg1117z00_75);} } } } } 
}



/* dup */
obj_t BGl_dupz00zzexpand_assertz00(obj_t BgL_predz00_21)
{ AN_OBJECT;
{ /* ./Expand/assert.scm 75 */
{ /* ./Expand/assert.scm 77 */
bool_t BgL_test1249z00_131;
BgL_test1249z00_131 = 
PAIRP(BgL_predz00_21); 
if(BgL_test1249z00_131)
{ /* ./Expand/assert.scm 77 */
{ /* ./Expand/assert.scm 78 */
obj_t BgL_arg1251z00_132;obj_t BgL_arg1252z00_133;
{ /* ./Expand/assert.scm 78 */
obj_t BgL_arg1256z00_134;
BgL_arg1256z00_134 = 
CAR(BgL_predz00_21); 
BgL_arg1251z00_132 = 
BGl_dupz00zzexpand_assertz00(BgL_arg1256z00_134); } 
{ /* ./Expand/assert.scm 78 */
obj_t BgL_arg1260z00_135;
BgL_arg1260z00_135 = 
CDR(BgL_predz00_21); 
BgL_arg1252z00_133 = 
BGl_dupz00zzexpand_assertz00(BgL_arg1260z00_135); } 
return 
MAKE_PAIR(BgL_arg1251z00_132, BgL_arg1252z00_133);} }  else 
{ /* ./Expand/assert.scm 77 */
return BgL_predz00_21;} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzexpand_assertz00()
{ AN_OBJECT;
{ /* ./Expand/assert.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "expand_assert"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)64117), "expand_assert"); 
BGl_modulezd2initializa7ationz75zztools_prognz00(((long)55569), "expand_assert"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "expand_assert");} 
}

